Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class NewMessageModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.NewMessageModel

All Implemented Interfaces:
  java.io.Serializable

public class NewMessageModel
extends MailModel
implements java.io.Serializable

This class represents the data model for the new message page (`new_message.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`NewMessageModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`java.lang.String` | `getFileNames()` Gets the file names.
`RecipientInfo` | `getRecipientInfo()` Gets the recipient info.
`void` | `setFileNames(java.lang.String sFileNames)` Sets the file names.
`void` | `setRecipientInfo(RecipientInfo info)` Sets the recipient info.
`void` | `setSupportsReceiptRequest(boolean bSupportsReceiptRequest)`
`boolean` | `supportsReceiptRequest()`

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getFolderNavigation, getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewMessageModel

    public NewMessageModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                           FeatureGroup featureGroup,
                           GroupwarePreferences groupwarePrefs,
                           MailPreferences mailPrefs,
                           Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### getRecipientInfo

    public RecipientInfo getRecipientInfo()

  Gets the recipient info.

  Returns:
    the recipient info

### setRecipientInfo

    public void setRecipientInfo(RecipientInfo info)

  Sets the recipient info.

  Parameters:
    `info` - the recipient info (may not be `null`)

### getFileNames

    public java.lang.String getFileNames()

  Gets the file names.

  Returns:
    the file names or `null` for none

### setFileNames

    public void setFileNames(java.lang.String sFileNames)

  Sets the file names.

  Parameters:
    `sFileNames` - the file names or `null` for none

### setSupportsReceiptRequest

    public void setSupportsReceiptRequest(boolean bSupportsReceiptRequest)

### supportsReceiptRequest

    public boolean supportsReceiptRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.